NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.SheetMetal.ThreeBendCornerBuilder Class Reference

The Three Bend Corner feature class. More...

Inheritance diagram for NXOpen.Features.SheetMetal.ThreeBendCornerBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  OriginTypes { BendCenter, CornerPoint }
 This enum represents Origin type More...
 
enum  TreatmentTypeOptions {
  Open, Closed, CircularCutout, UCutout,
  VCutout
}
 This enum represents the corner treatment type. More...
 

Public Member Functions

unsafe void AddFacePair (NXOpen.Face firstFace, NXOpen.Face secondFace)
 Input a bend face pair for the three bend corner feature. More...
 
unsafe void GetFacePair (int index, out NXOpen.Face firstFace, out NXOpen.Face secondFace)
 Gets the bend face pair at the given index. More...
 
unsafe void RemoveFacePair (NXOpen.Face firstFace, NXOpen.Face secondFace)
 Removes a face pair (that represents a unique corner) from the list of face pairs already added. More...
 
unsafe void SetDiameter (string diameter)
 The diameter used for the circular cutout corner treatment. More...
 
unsafe int ValidateBuilderData ()
 Verify that the builder data is valid for creation of a three bend corner. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool BlendMiter [get, set]
 Returns or sets the option for smooth transition from miter to cutout edges. More...
 
unsafe NXOpen.Expression BlendMiterRadius [get]
 Returns the blend miter radius used for three bend corner miter treatment. More...
 
unsafe NXOpen.Expression Diameter [get]
 Returns the diameter used for circular, u and v cutout corner treatments. More...
 
unsafe NXOpen.Expression FlangeClearance [get]
 Returns the flange clearance used for three bend corner miter treatment. More...
 
unsafe bool MiterCorner [get, set]
 Returns or sets whether the corner will be closed using miter. More...
 
unsafe NXOpen.Expression MiterRootRadius [get]
 Returns the miter root radius used for three bend corner miter treatment. More...
 
unsafe int NumberOfFacePairs [get]
 Returns the number of face pairs already identified for the three bend corner feature. More...
 
unsafe NXOpen.Expression Offset [get]
 Returns the offset used for circular, u and v cutout corner treatments. More...
 
unsafe
NXOpen.Features.SheetMetal.ThreeBendCornerBuilder.OriginTypes 
OriginType [get, set]
 Returns or sets the relief origin used for circular, u and v cutout corner treatments. More...
 
unsafe
NXOpen.Features.SheetMetal.ThreeBendCornerBuilder.TreatmentTypeOptions 
TreatmentType [get, set]
 Returns or sets the corner treatment type. More...
 
unsafe NXOpen.Expression VCutoutAngle1 [get]
 Returns the angle 1 used for the v cutout treatment. More...
 
unsafe NXOpen.Expression VCutoutAngle2 [get]
 Returns the angle 2 used for the v cutout treatment. More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
unsafe bool PatchSolutionFlag [get, set]
 Returns or sets the patch solution flag More...
 
unsafe string PatchSurfaceFilename [get, set]
 Returns or sets the patch surface filename More...
 
unsafe string SurroundingPatchSurfaceFilename [get, set]
 Returns or sets the surrounding patch surface filename More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

The Three Bend Corner feature class.

Users can identify multiple input face pairs for each three bend corner feature. Each pair is made up of one face each from adjacent bends. The bends must both have the same radius and sweep angle, and they must also be connected via another adjoining bend.

To create a new instance of this class, use NXOpen.Features.SheetMetal.SheetmetalManager.CreateThreeBendCornerFeatureBuilder

Created in NX4.0.0

Member Enumeration Documentation

This enum represents Origin type

Enumerator
BendCenter 

The relief origin will be at the intersection of first bend's centerline and bisector of corner angle.

CornerPoint 

The relief origin will be at the corner point.

This enum represents the corner treatment type.

Enumerator
Open 
Closed 
CircularCutout 
UCutout 
VCutout 

Member Function Documentation

unsafe void NXOpen.Features.SheetMetal.ThreeBendCornerBuilder.AddFacePair ( NXOpen.Face  firstFace,
NXOpen.Face  secondFace 
)
inline

Input a bend face pair for the three bend corner feature.

This method can be called multiple times for a feature, with each bend face pair representing a unique corner.

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
firstFaceA bend face from a bend
secondFaceA bend face from an adjacent bend
unsafe void NXOpen.Features.SheetMetal.ThreeBendCornerBuilder.GetFacePair ( int  index,
out NXOpen.Face  firstFace,
out NXOpen.Face  secondFace 
)
inline

Gets the bend face pair at the given index.

The index can vary between zero and one less than the value returned by NXOpen.Features.SheetMetal.ThreeBendCornerBuilder.NumberOfFacePairs .

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
indexIndex of the desired face pair
firstFaceFirst face of the face pair
secondFaceSecond face of the face pair
unsafe void NXOpen.Features.SheetMetal.ThreeBendCornerBuilder.RemoveFacePair ( NXOpen.Face  firstFace,
NXOpen.Face  secondFace 
)
inline

Removes a face pair (that represents a unique corner) from the list of face pairs already added.

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
firstFaceA face from an already selected face pair
secondFaceThe other face from the face pair
unsafe void NXOpen.Features.SheetMetal.ThreeBendCornerBuilder.SetDiameter ( string  diameter)
inline

The diameter used for the circular cutout corner treatment.

This only applies when the treatment type is set to NXOpen.Features.SheetMetal.ThreeBendCornerBuilder.TreatmentTypeOptions.CircularCutout or NXOpen.Features.SheetMetal.ThreeBendCornerBuilder.TreatmentTypeOptions.UCutout or NXOpen.Features.SheetMetal.ThreeBendCornerBuilder.TreatmentTypeOptions.VCutout . .

Created in NX4.0.0

Deprecated in NX10.0.0. Use NXOpen.Expression.RightHandSide on the NXOpen.Expression object returned from NXOpen.Features.SheetMetal.ThreeBendCornerBuilder.Diameter instead.

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
diameterThe diameter for the circular cutout corner treatment
unsafe int NXOpen.Features.SheetMetal.ThreeBendCornerBuilder.ValidateBuilderData ( )
inline

Verify that the builder data is valid for creation of a three bend corner.

If the data in the builder is valid, the return value is 0

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Returns
Returns 0 if the data in the builder is valid

Property Documentation

unsafe bool NXOpen.Features.SheetMetal.ThreeBendCornerBuilder.BlendMiter
getset

Returns or sets the option for smooth transition from miter to cutout edges.

Created in NX9.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.ThreeBendCornerBuilder.BlendMiterRadius
get
unsafe NXOpen.Expression NXOpen.Features.SheetMetal.ThreeBendCornerBuilder.Diameter
get

Returns the diameter used for circular, u and v cutout corner treatments.

This only applies when the treatment type is set to NXOpen.Features.SheetMetal.ThreeBendCornerBuilder.TreatmentTypeOptions.CircularCutout or NXOpen.Features.SheetMetal.ThreeBendCornerBuilder.TreatmentTypeOptions.UCutout or NXOpen.Features.SheetMetal.ThreeBendCornerBuilder.TreatmentTypeOptions.VCutout .

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.ThreeBendCornerBuilder.FlangeClearance
get
unsafe bool NXOpen.Features.SheetMetal.ThreeBendCornerBuilder.MiterCorner
getset

Returns or sets whether the corner will be closed using miter.

Created in NX9.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.ThreeBendCornerBuilder.MiterRootRadius
get

Returns the miter root radius used for three bend corner miter treatment.

This only applies when the treatment type is set to NXOpen.Features.SheetMetal.ThreeBendCornerBuilder.TreatmentTypeOptions.Closed .

Created in NX9.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

unsafe int NXOpen.Features.SheetMetal.ThreeBendCornerBuilder.NumberOfFacePairs
get

Returns the number of face pairs already identified for the three bend corner feature.

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.ThreeBendCornerBuilder.Offset
get

Returns the offset used for circular, u and v cutout corner treatments.

This only applies when the treatment type is set to NXOpen.Features.SheetMetal.ThreeBendCornerBuilder.TreatmentTypeOptions.CircularCutout or NXOpen.Features.SheetMetal.ThreeBendCornerBuilder.TreatmentTypeOptions.UCutout or NXOpen.Features.SheetMetal.ThreeBendCornerBuilder.TreatmentTypeOptions.VCutout .

Created in NX9.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Features.SheetMetal.ThreeBendCornerBuilder.OriginTypes NXOpen.Features.SheetMetal.ThreeBendCornerBuilder.OriginType
getset

Returns or sets the relief origin used for circular, u and v cutout corner treatments.

This only applies when the treatment type is set to NXOpen.Features.SheetMetal.ThreeBendCornerBuilder.TreatmentTypeOptions.CircularCutout or NXOpen.Features.SheetMetal.ThreeBendCornerBuilder.TreatmentTypeOptions.UCutout or NXOpen.Features.SheetMetal.ThreeBendCornerBuilder.TreatmentTypeOptions.VCutout .

Created in NX9.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Features.SheetMetal.ThreeBendCornerBuilder.TreatmentTypeOptions NXOpen.Features.SheetMetal.ThreeBendCornerBuilder.TreatmentType
getset

Returns or sets the corner treatment type.

The NXOpen.Features.SheetMetal.ThreeBendCornerBuilder.TreatmentType ) specifies how the corner should be treated. Valid options are in NXOpen.Features.SheetMetal.ThreeBendCornerBuilder.TreatmentTypeOptions .

Created in NX4.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.ThreeBendCornerBuilder.VCutoutAngle1
get

Returns the angle 1 used for the v cutout treatment.

This only applies when the treatment type is set to NXOpen.Features.SheetMetal.ThreeBendCornerBuilder.TreatmentTypeOptions.VCutout .

Created in NX8.5.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.ThreeBendCornerBuilder.VCutoutAngle2
get

Returns the angle 2 used for the v cutout treatment.

This only applies when the treatment type is set to NXOpen.Features.SheetMetal.ThreeBendCornerBuilder.TreatmentTypeOptions.VCutout .

Created in NX8.5.0

License requirements: nx_sheet_metal ("NX Sheet Metal")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.